
libre-mesh firmware - Task # 22

Feature # 5 (Closed): Autoconfiguration system

Status: Closed Priority: Normal

Author: Gui Iribarren Category:

Created: 10/20/2013 Assignee: Gioacchino Mazzurco

Updated: 10/26/2014 Due date:

Subject: Adapt lime config modules to understand new config file design

Description

i.e. main changes are the way protos / vlans are handled

History

#1 - 10/20/2013 10:11 pm - Ál Cano

- Tracker changed from Bug to Task

#2 - 11/02/2013 09:36 pm - Nicolás Echániz

- Subject changed from Adapt modularized lime-config to understand new config file design to Adapt lime config modules to understand new config file 

design

lime config modules: network, wireless, bmx6, etc. have common methods:

    -  clear

    -  init

    -  configure

    -  apply

that must be adapted to the new config file.

#3 - 11/02/2013 09:48 pm - Nicolás Echániz

- Assignee set to Gui Iribarren

#4 - 02/02/2014 08:45 pm - Gioacchino Mazzurco

- Assignee changed from Gui Iribarren to Gioacchino Mazzurco

- % Done changed from 0 to 30

I have already done a bit of work on this on lime-ng-config branch i think i should have time to complete it.

#5 - 02/02/2014 08:46 pm - Gioacchino Mazzurco

- Status changed from New to In Progress

#6 - 02/05/2014 03:49 pm - Gioacchino Mazzurco

- % Done changed from 30 to 60

- Estimated time set to 60.00

Implemented in branch https://github.com/libre-mesh/lime-packages/tree/lime-ng-config, seems ready for merging ( I have just one device, so multiple

device testing is still to be done )
#7 - 10/26/2014 04:20 pm - Gioacchino Mazzurco

- Status changed from In Progress to Closed

#8 - 10/26/2014 04:20 pm - Gioacchino Mazzurco

- % Done changed from 60 to 100
